Loading...
Searching...
No Matches
TrcStackElemITE Class Reference

`#include <trc_etmv4_stack_elem.h>`

Inheritance diagram for TrcStackElemITE:
[legend]
Collaboration diagram for TrcStackElemITE:
[legend]

## Public Member Functions

void | setITE (const trace_sw_ite_t &ite)
const trace_sw_ite_t & | getITE ()
Public Member Functions inherited from TrcStackElem
| TrcStackElem (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElem ()
const p0_elem_t | getP0Type () const
const ocsd_etmv4_i_pkt_type | getRootPkt () const
const ocsd_trc_index_t | getRootIndex () const
const bool | isP0 () const

## Protected Member Functions

| TrcStackElemITE (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElemITE ()

## Friends

class | EtmV4P0Stack

## Additional Inherited Members

Protected Attributes inherited from TrcStackElem
bool | m_is_P0

## Detailed Description

Definition at line 342 of file trc_etmv4_stack_elem.h.

## Constructor & Destructor Documentation

## TrcStackElemITE()

TrcStackElemITE::TrcStackElemITE | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index )

inline protected

Definition at line 358 of file trc_etmv4_stack_elem.h.

Here is the call graph for this function:

## ~TrcStackElemITE()

virtual TrcStackElemITE::~TrcStackElemITE | ( |  | ) |

inline protected virtual

Definition at line 346 of file trc_etmv4_stack_elem.h.

## Member Function Documentation

## getITE()

const trace_sw_ite_t & TrcStackElemITE::getITE | ( |  | ) |

inline

Definition at line 352 of file trc_etmv4_stack_elem.h.

## setITE()

void TrcStackElemITE::setITE | ( | const trace_sw_ite_t & | ite | ) |

inline

Definition at line 351 of file trc_etmv4_stack_elem.h.

## Friends And Related Symbol Documentation

## EtmV4P0Stack

friend class EtmV4P0Stack

friend

Definition at line 348 of file trc_etmv4_stack_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/opencsd/etmv4/trc_etmv4_stack_elem.h